Package com.macrofocus.high_d.list

# Interface IndexModel<V>

All Known Implementing Classes:
  `AbstractIndexModel`, `EfficientIndexModel`

public interface IndexModel<V>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addIndexListener(IndexListener indexListener)`
  `void`
  `addMissing(Object source, int row)`
  `void`
  `addObject(Object source, Object object)`
  `void`
  `addRow(Object source, int index, int row)`
  `int`
  `getIndex(int row, int j)`
  `int`
  `getIndexCount(int row)`
  `int`
  `getMissing(int j)`
  `int`
  `getMissingCount()`
  `V`
  `getObject(int index)`
  `int`
  `getObjectCount()`
  `int`
  `getObjectIndex(Object object)`
  `int`
  `getObjectIndexStartWith(String string)`
  `int`
  `getRow(int index, int j)`
  `int`
  `getRowCount(int index)`
  `boolean`
  `hasRow(int index, int row)`
  `void`
  `removeMissing(Object source, int row)`
  `void`
  `removeObject(Object source, int index, Object key)`
  `void`
  `removeRow(Object source, int index, int row)`
  `void`
  `replaceObject(Object source, Object oldkey, Object newkey)`

- ## Method Details

  - ### getObject

    V getObject(int index)

  - ### getObjectIndex

    int getObjectIndex(Object object)

  - ### getObjectIndexStartWith

    int getObjectIndexStartWith(String string)

  - ### getObjectCount

    int getObjectCount()

  - ### addObject

    void addObject(Object source, Object object)

  - ### replaceObject

    void replaceObject(Object source, Object oldkey, Object newkey)

  - ### removeObject

    void removeObject(Object source, int index, Object key)

  - ### getRow

    int getRow(int index, int j)

  - ### hasRow

    boolean hasRow(int index, int row)

  - ### getRowCount

    int getRowCount(int index)

  - ### addRow

    void addRow(Object source, int index, int row)

  - ### removeRow

    void removeRow(Object source, int index, int row)

  - ### getMissing

    int getMissing(int j)

  - ### getMissingCount

    int getMissingCount()

  - ### addMissing

    void addMissing(Object source, int row)

  - ### removeMissing

    void removeMissing(Object source, int row)

  - ### getIndex

    int getIndex(int row, int j)

  - ### getIndexCount

    int getIndexCount(int row)

  - ### addIndexListener

    void addIndexListener(IndexListener indexListener)